Skip to main content
PATCH
https://api.memcontext.in
/
api
/
workspaces
/
{workspaceId}
/
members
/
{memberId}
Update workspace member role
curl --request PATCH \
  --url https://api.memcontext.in/api/workspaces/{workspaceId}/members/{memberId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{}'
{
  "member": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key created from the MemContext dashboard. Keys are prefixed with mc_.

Path Parameters

workspaceId
string<uuid>
required
memberId
string<uuid>
required

Body

application/json
role
enum<string>
required
Available options:
admin,
member,
viewer

Response

200 - application/json

Member role updated.

member
object
required